Events (Admin)
Speaker detail (Admin)
GET
/manage/events/:eventId/speakers/:entryIdRetrieve a speaker for management, including confirmed sessions. Requires the speakersRead permission.
| Auth | Login required |
|---|
Path parameters
eventIdstringrequiredEvent ID or slug.
entryIdstringrequiredThe speaker's registration ID.
Notes
When accessed with an OAuth access token, `email` fields are recursively removed from the response JSON (they are retained for session-authenticated dashboard access).
Response
Returns Speaker.
Request
curl https://api.4s.link/manage/events/EVENT_ID/speakers/ENTRY_ID \-H "Authorization: Bearer 4s_at_..."
Example response
{"id": "en1a2b3-...","entryId": "en1a2b3-...","userId": "a1b2c3d4-...","firstName": "太郎","lastName": "山田","title": "Engineer","pickedUp": false,"overrides": { "firstName": null, "lastName": null, "nativeName": null, "avatarUrl": null, "title": "Engineer", "bio": null, "languages": null },"entry": { "id": "en1a2b3-...", "state": "CONFIRMED", "ticketId": null, "checkedInAt": null, "ticket": null },"user": { "id": "a1b2c3d4-...", "slug": "taro", "guest": false },"sessions": []}